// /* iPads (portrait) ----------- */

// @media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (orientation: portrait) {
//   .pagination-pages-container {
//     text-align: right;
//     max-width: 40%;
//   }

//   .pagination-entries-container {
//     max-width: 60%;
//   }
// }

.cr-pagination {
  display: block;
  // width: 100%;
  overflow: hidden;
  float: right;
  &-container {
    display: flex;
    align-items: stretch;
    align-items: center;
    vertical-align: middle;
    justify-content: center;
  }
  &-section1 {
    text-align: left;
    margin-right: 50px;
  }

  &-section2 {
    text-align: center;
    margin-right: 50px;
    vertical-align: middle;
    mat-form-field {
      // max-width: 80px;
      width: auto;
      vertical-align: middle;
      mat-select,
      mat-options {
        text-align: center;
      }
    }
  }

  &-section3 {
    text-align: right;
    margin-right: 50px;
    .page-items {
      display: inline-block;
      button.active {
        background: var(--primary);
        pointer-events: none;
        color: white;
      }
    }
  }
}

@media (max-width: 600px) {
  .cr-pagination {
    &-container {
      flex-direction: column;
    }
  }
}
